package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 创建方式(1.人工创建,2.系统推荐)枚举类
*
* @author zxfei
*/
public enum CreateWayEnum {
    人工创建(1, "人工创建"),
    系统推荐(2, "系统推荐");
    private Integer value;
    private String desc;

    CreateWayEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static CreateWayEnum getByValue(Integer value) {
        for (CreateWayEnum createWayEnum : CreateWayEnum.values()) {
            if (createWayEnum.getValue() == value) {
                return createWayEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (CreateWayEnum item : CreateWayEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}